/************************
****** editskin.h
*************************/
#include <math.h>
#include "es.h"

#define VERSION	"0.02b"
#define YEAR	1997

#define VGAMODE	G640x480x64K

#define PALETTESEARCH(x,y)	(x/9+((y-400)/9)*29)
#define DATASEARCH(x,y) 	data[x/2+y/2*pcx_sizex]
#define BLACKSEARCH(x,y) 	black[x/2+y/2*320]+invert_mask
#define ROUNDSEARCH(x,y)	hypot(POINTERSIZE_PX+18-x,POINTERSIZE_PY+18-y)<(pointer-1)
#define ROUNDSEARCHA(x,y)	hypot(x,y)<(pointer-1)
#define COPYSEARCH(x,y)		copydata[x+y*COPY_MAXX]

#define CONFIGURATION_FILE	"editskinrc"

#define EMPTYSTRING	"                         "

#define C_PALETTE(x)	es_color(palette[x*3+0],palette[x*3+1],palette[x*3+2])

typedef struct {
 char name[29];
 short darker;
 short brighter;
} c_help;

unsigned char *data,*palette,*black;
short invert,rounded,invert_mask,showrealc,pantcolor,shirtcolor,mask_sX,mask_sY;

#define COPY_MAXX	320
#define COPY_MAXY	200

unsigned char copydata[COPY_MAXX*COPY_MAXY];
int copy, bx, by, cx[2], cy[2];

c_help colorhelp[290];

int s_color,quit,pointer,t_pinfo;
int pcx_sizex, pcx_sizey;

void es_pixel(int x, int y);
void pinfo(char *s);
void init_helps();
void savebox(pcx_header pcxh);
void read_conf(char *name);
